"use client";

import { useState } from "react";
import RegisterContent from "@/components/RegisterContent";
import RegisterPointOfInterest from "@/components/RegisterPointOfInterest";
import styles from "@styles/pages/admin.module.css";

export default function Admin() {
  const [refreshKey, setRefreshKey] = useState(0);

  const handleRefresh = () => {
    setRefreshKey((prevKey) => prevKey + 1);
  };

  return (
    <div className={styles.container}>
      <RegisterContent refreshKey={refreshKey} onRefresh={handleRefresh} />
      <RegisterPointOfInterest refreshKey={refreshKey} onRefresh={handleRefresh} />
    </div>
  );
}
