"use server";

interface LoginRequest {
  username: string;
  password: string;
}

import apiService from "@/service";

export async function login({ username, password }: LoginRequest) {
  const data = {
    username,
    password,
  };

  const response = apiService.post({
    url: "/login",
    data,
  });

  return response;
}
