"use server"

import { PointOfInterestRequest } from "@/interfaces/point-of-interest"
import apiService from "@/service"

interface UpdatePointRequest {
  post_id: string,
  payload: PointOfInterestRequest
}

export async function updatePoint({ post_id, payload }: UpdatePointRequest) {
  const response = apiService.patch({
    url: `/points-of-interest/edit/${post_id}`,
    data: payload
  })

  return response
}