"use server"

import apiService from "@/service/index"

interface FetchPostsRequest {
  category_name?: string;
}

export async function fetchPosts({ category_name }: FetchPostsRequest) {
  let url = '/categorias/'

  if (category_name) url += category_name

  const response = apiService.get({
    url
  });

  return response;
}