"use server"

import { PostRequest } from "@/interfaces/post";
import apiService from "@/service/index"

interface UpdatePostProps {
  post_id: string,
  payload: PostRequest
}

export async function updatePost({ post_id, payload }: UpdatePostProps) {
  const response = apiService.patch({
    url: `/categorias/update/${post_id}`,
    data: payload
  });

  return response;
}