const StringTokens = () => {
  return {
    modalTitle: {
      create: "Cadastrar conteúdo",
      edit: "Editar conteúdo",
    },
    formLabels: {
      title: "Título:",
      description: "Descrição:",
      category: "Categoria:",
      poi: "Ponto de Interesse:",
      address: "Endereço",
      poiTitle: "Título do ponto de interesse",
      poiDescription: "Descrição do ponto de interesse",
      cep: "CEP",
      state: "Estado",
      image: "Imagem",
    },
    buttons: {
      close: "Close",
      upload: "Upload",
      update: "Atualizar",
      register: "Cadastrar",
      dropdownPlaceholder: "Escolha uma categoria",
    },
    categories: ["Economia", "Social", "Saúde", "Moradia", "Educação"],
    feedbacks: {
      success: {
        create: "Conteúdo cadastrado com sucesso!",
        update: "Conteúdo atualizado com sucesso!",
      },
      error: {
        create: "Erro ao cadastrar conteúdo!",
        update: "Erro ao atualizar conteúdo!",
      },
    },
  };
};

export default StringTokens;
