export const SetTokenLocalStorage = (token: string) => {
  if (typeof window !== "undefined") {
    const expiryDate = new Date();
    expiryDate.setHours(expiryDate.getHours() + 24);

    localStorage.setItem("token", token);
    localStorage.setItem("tokenExpiry", expiryDate.toISOString());
  }
};
